Skip to main content
Radius Help Center

Radius System Requirements

To use Radius, you need an internet connection, a supported web browser, and a CRM.

Web Browser

Radius requires the latest stable version of one of these browsers. Make sure that cookies and JavaScript are enabled. 

Customer Relationship Management Tool

Radius supports integration with Salesforce. You'll need Salesforce Enterprise Edition or higher. Check your organization edition in Salesforce Classic and Lightning by searching Company Information from Setup. 

If you're using a CRM other than Salesforce, we can still help. Talk with our team. 

 

  • Was this article helpful?